import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * esta es la base para la creacion de los jugadores
 * ademas de la creacion de objetos de tipo flecha 
 * los cuales son lanzados por el jugador
 * esto, asi como tambienlos movimientos son controlados aqui
 * a tra ves de teclas 
 * @author rene cruz martinez
 * @version 31/05/2010
 * */
public class Arquero  extends Actor
{
    
 
    public void act() 
    {
        
        //verificacion de colicion con fantasma
        Actor a = getOneIntersectingObject(Fantasma.class);
        if(a!=null)
        {
            World m=getWorld();
            m.removeObject(a);
            ((Zona)m).quitaVida();
        }
        
       // Arriba
      if(Greenfoot.isKeyDown("up") && this.getY()>=10)
            setLocation(getX(), getY()-4);
        
        // Abajo
        if(Greenfoot.isKeyDown("down") && this.getY()<120)
            setLocation(getX(), getY()+4);
            
        // Izquierda    
        if(Greenfoot.isKeyDown("left") && this.getX()>5)
            setLocation(getX()-4, getY());
            
        // Derecha    
        if(Greenfoot.isKeyDown("right") && this.getX()<150)
            setLocation(getX()+4, getY());
            
       if(Greenfoot.isKeyDown("space"))
       {
           
               World mundo=getWorld();
               mundo.addObject(new Flecha(), getX(),getY());
             
            
            
        }
    }
    public void reinicia()
    {
        this.setLocation(10,50);
    }
        
    
    
}



